import ckan.plugins.toolkit as toolkit
import ckan.lib.base as base
from flask import Blueprint, make_response
import logging

log = logging.getLogger(__name__)

blueprint = Blueprint('odsh_default', __name__)

def info_page():
    log.debug("views.default::info_page")
    return toolkit.redirect_to('http://www.schleswig-holstein.de/odpinfo')

def start():
    log.debug("views.default::start")
    return toolkit.redirect_to('/dataset')

def not_found():
    log.debug("views.default::not_found")
    toolkit.abort(404)

def robots_txt():
    log.debug("views.default::robots_txt")
    resp = make_response(base.render('home/robots.txt'))
    resp.headers['Content-Type'] = "text/plain; charset=utf-8"
    return resp

rules = [
    ('/info_page', 'info_page', info_page),
    ('/home', 'start', start),
    ('/robots.txt', 'robots_txt', robots_txt),
    ('/not_found', 'not_found', not_found), ]
for rule in rules:
    blueprint.add_url_rule(*rule)

def get_blueprint():
    return blueprint