import ckan.plugins.toolkit as toolkit
import ckan.authz as authz
from ckan.common import g
from flask import Blueprint
import ckan.views.user as ckan_user_view
import logging

log = logging.getLogger(__name__)

blueprint = Blueprint('odsh_user', __name__)


def index():
    log.debug("views.user::index")
    is_sysadmin = authz.is_sysadmin(g.user)

    if not is_sysadmin:
        toolkit.abort(403)
    return ckan_user_view.index()


# def register():
#     log.debug("views.user::register")
#     is_sysadmin = authz.is_sysadmin(g.user)

#     if not is_sysadmin:
#         toolkit.abort(403)
#     return ckan_user_view.RegisterView.as_view(str(u'register'))


def read(id=None):
    log.debug("views.user::read")
    if not g.user:
        return ckan_user_view.login()
    return ckan_user_view.read(id)

blueprint.add_url_rule(u'/user', endpoint='user_index',
                             view_func=index, strict_slashes=False)
# blueprint.add_url_rule(u'/user/register', view_func=user.register)

def get_blueprint():
    return blueprint